Name:           wmudmount
Version:        3.0
Release:        %mkrel 3
Summary:        A dockapp with a filesystem mounter that uses udisk
License:        GPLv2+
Group:          Graphical desktop/WindowMaker
URL:            https://sourceforge.net/projects/wmudmount/
Source0:        https://sourceforge.net/projects/wmudmount/files/wmudmount/%{name}-%{version}.tar.gz
Patch1:         wmudmount-2.2-perl-5.26.patch

BuildRequires:  librsvg
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gcr-3)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  imagemagick
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(udisks2)

Requires:       udisks2

%description
A file system mounter that uses udisks to handle notification of new
file systems and mounting of the filesystems as a non-root user. It
also includes a mode to display the mounted filesystems with the least
free space percentage (similar to wmfsm).


%prep
%autosetup -p1


%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%{_bindir}/*
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/*


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 3.0-3.mga9
+ Revision: 1845479
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 3.0-2.mga8
+ Revision: 1525354
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Apr 13 2019 daviddavid <daviddavid> 3.0-1.mga7
+ Revision: 1389845
- new version: 3.0

* Sun Sep 23 2018 umeabot <umeabot> 2.2-6.mga7
+ Revision: 1301708
- Mageia 7 Mass Rebuild

* Fri Sep 22 2017 cjw <cjw> 2.2-5.mga7
+ Revision: 1157239
- patch1: fix build with perl 5.26

* Mon Feb 08 2016 umeabot <umeabot> 2.2-4.mga6
+ Revision: 945408
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2-3.mga5
+ Revision: 747008
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2-2.mga5
+ Revision: 690355
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 eatdirt <eatdirt> 2.2-1.mga5
+ Revision: 671601
- Upgrade to version 2.2

* Mon Mar 03 2014 eatdirt <eatdirt> 1.13-8.mga5
+ Revision: 598880
- Fix wrong requires

* Mon Mar 03 2014 eatdirt <eatdirt> 1.13-7.mga5
+ Revision: 598781
- Rebuild with gnome-keyring instead of obsoleted mate-keyring

* Tue Oct 22 2013 umeabot <umeabot> 1.13-6.mga4
+ Revision: 545315
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 eatdirt <eatdirt> 1.13-5.mga4
+ Revision: 501091
- Switch from gnome-keyring to mate-keyring

* Mon Jan 14 2013 umeabot <umeabot> 1.13-4.mga3
+ Revision: 385804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 kamil <kamil> 1.13-3.mga3
+ Revision: 339191
- add P0: mga-fix-build-with-automake-1.13.patch

* Sun Dec 02 2012 kamil <kamil> 1.13-2.mga3
+ Revision: 324947
- rebuild for Mga3 Beta1

* Sat Jul 07 2012 kamil <kamil> 1.13-1.mga3
+ Revision: 268573
- new version 1.1.3
- drop P0 and P1 (merged upstream)

* Fri Mar 30 2012 kamil <kamil> 1.11-2.mga2
+ Revision: 227552
- add missing requirement on udisks

* Sat Feb 25 2012 kamil <kamil> 1.11-1.mga2
+ Revision: 214332
- imported package wmudmount


* Sat Feb 25 2012 kamil <kamil> 1.11-1.mga2
- prepared initial .spec for Mageia
